from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.text import XTextMarkup

@runtime_checkable
class XFlatParagraph(XTextMarkup, Protocol):
    def getText(self) -> str: ...
    def isModified(self) -> bool: ...
    def setChecked(self, nType: int, bVal: bool) -> None: ...
    def isChecked(self, nType: int) -> bool: ...
    def getLanguagePortions(self) -> list[int]: ...
